summaryrefslogtreecommitdiffstats
path: root/apps/files_external/tests/env/start-ftp-morrisjobke.sh
diff options
context:
space:
mode:
Diffstat (limited to 'apps/files_external/tests/env/start-ftp-morrisjobke.sh')
-rwxr-xr-xapps/files_external/tests/env/start-ftp-morrisjobke.sh17
1 files changed, 4 insertions, 13 deletions
diff --git a/apps/files_external/tests/env/start-ftp-morrisjobke.sh b/apps/files_external/tests/env/start-ftp-morrisjobke.sh
index 3c6cc62bce8..3a5f6ffcb67 100755
--- a/apps/files_external/tests/env/start-ftp-morrisjobke.sh
+++ b/apps/files_external/tests/env/start-ftp-morrisjobke.sh
@@ -55,19 +55,10 @@ echo "ftp container: $container"
echo $container >> $thisFolder/dockerContainerMorrisJobke.$EXECUTOR_NUMBER.ftp
echo -n "Waiting for ftp initialization"
-starttime=$(date +%s)
-# support for GNU netcat and BSD netcat
-while ! (nc -c -w 1 ${host} 21 </dev/null >&/dev/null \
- || nc -w 1 ${host} 21 </dev/null >&/dev/null); do
- sleep 1
- echo -n '.'
- if (( $(date +%s) > starttime + 60 )); then
- echo
- echo "[ERROR] Waited 60 seconds, no response" >&2
- exit 1
- fi
-done
-echo
+if ! "$thisFolder"/env/wait-for-connection ${host} 21 60; then
+ echo "[ERROR] Waited 60 seconds, no response" >&2
+ exit 1
+fi
sleep 1
if [ -n "$DEBUG" ]; then